> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/v21/api-reference/infrastructure/application-packages.md).

# Application Packages

## List

> Retrieve application package(s).

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AppPackage":{"get":{"tags":["0-Infrastructure//Application Packages"],"summary":"List","description":"Retrieve application package(s).","operationId":"0d432112-0f51-4591-adb4-ec63e5159bb3","parameters":[{"name":"siteId","in":"query","description":"ID of the SIte from which to retrieve the AppPackage setting.(optional).","schema":{"type":"integer","format":"int32"}},{"name":"Name","in":"query","description":"Application package name (optional).","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppPackage"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AppPackage":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"packageName":{"type":"string","description":"<para type=\"description\">Package name</para>","nullable":true},"displayName":{"type":"string","description":"<para type=\"description\">Application package display name</para>","nullable":true},"version":{"type":"string","description":"<para type=\"description\">Application package version</para>","nullable":true},"publisher":{"type":"string","description":"<para type=\"description\">Application package publisher name</para>","nullable":true},"msixImagePath":{"type":"string","description":"<para type=\"description\">MSIX image path</para>","nullable":true},"packagedApps":{"type":"array","items":{"$ref":"#/components/schemas/PackagedApp"},"description":"<para type=\"description\">List of applications in the application package</para>","nullable":true},"dependencies":{"type":"string","description":"<para type=\"description\">Application pacakge dependencies</para>","nullable":true},"certificate":{"$ref":"#/components/schemas/AppPackageCertificate"},"siteId":{"type":"integer","description":"<para type=\"description\">ID of the Site</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the application package is enabled or not</para>"},"tagIds":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">Application tag IDs</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Application Package</para>\r\n<para type=\"description\"></para>"},"PackagedApp":{"type":"object","properties":{"name":{"type":"string","description":"<para type=\"description\">Application name in the application package</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">App Packages Application Info</para>\r\n<para type=\"description\"></para>"},"AppPackageCertificate":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/CertificateStatus"},"publicKey":{"type":"string","description":"<para type=\"description\">The public key.</para>","nullable":true},"expirationDate":{"type":"string","description":"<para type=\"description\">The expiration date of the certificate.</para>","format":"date-time","nullable":true},"keySize":{"$ref":"#/components/schemas/CertificateKeySize"},"commonName":{"type":"string","description":"<para type=\"description\">The common name of the certificate.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Application Package Certificate</para>\r\n<para type=\"description\"></para>"},"CertificateStatus":{"enum":[["0 = Valid","1 = Expiring","2 = Expired","3 = InProgress","4 = Revoked","5 = Issuing","6 = IssuingFailed","7 = Renewing","8 = RenewingFailed","9 = Revoking","10 = RevokingFailed"]],"type":"string","description":"<para type=\"description\">Certificate Status</para>\r\n<para type=\"synopsis\">Certificate Status</para>","format":"int32"},"CertificateKeySize":{"enum":[["0 = KeySize1024","1 = KeySize2048","2 = KeySize4096","3 = KeySize3072","4 = KeySize521","255 = KeySizeUnknown"]],"type":"string","description":"<para type=\"description\">Certificate Key Size</para>\r\n<para type=\"synopsis\">Certificate Key Size</para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Create

> Create a new application package.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AppPackage":{"post":{"tags":["0-Infrastructure//Application Packages"],"summary":"Create","description":"Create a new application package.","operationId":"845aba2f-4516-4db5-8a7f-b4171addc058","requestBody":{"description":"Application package settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/NewAppPackage"}}}},"responses":{"201":{"description":"Created","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AppPackage"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"NewAppPackage":{"required":["msixImagePath","packageName"],"type":"object","properties":{"displayName":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Display name of the new application package.</para>","nullable":true},"packageName":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Package name of the new application package.</para>","nullable":true},"msixImagePath":{"type":"string","description":"<para type=\"description\">MSIX image path of the new application package.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">To create a new Application Package</para>\r\n<para type=\"description\"></para>"},"AppPackage":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"packageName":{"type":"string","description":"<para type=\"description\">Package name</para>","nullable":true},"displayName":{"type":"string","description":"<para type=\"description\">Application package display name</para>","nullable":true},"version":{"type":"string","description":"<para type=\"description\">Application package version</para>","nullable":true},"publisher":{"type":"string","description":"<para type=\"description\">Application package publisher name</para>","nullable":true},"msixImagePath":{"type":"string","description":"<para type=\"description\">MSIX image path</para>","nullable":true},"packagedApps":{"type":"array","items":{"$ref":"#/components/schemas/PackagedApp"},"description":"<para type=\"description\">List of applications in the application package</para>","nullable":true},"dependencies":{"type":"string","description":"<para type=\"description\">Application pacakge dependencies</para>","nullable":true},"certificate":{"$ref":"#/components/schemas/AppPackageCertificate"},"siteId":{"type":"integer","description":"<para type=\"description\">ID of the Site</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the application package is enabled or not</para>"},"tagIds":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">Application tag IDs</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Application Package</para>\r\n<para type=\"description\"></para>"},"PackagedApp":{"type":"object","properties":{"name":{"type":"string","description":"<para type=\"description\">Application name in the application package</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">App Packages Application Info</para>\r\n<para type=\"description\"></para>"},"AppPackageCertificate":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/CertificateStatus"},"publicKey":{"type":"string","description":"<para type=\"description\">The public key.</para>","nullable":true},"expirationDate":{"type":"string","description":"<para type=\"description\">The expiration date of the certificate.</para>","format":"date-time","nullable":true},"keySize":{"$ref":"#/components/schemas/CertificateKeySize"},"commonName":{"type":"string","description":"<para type=\"description\">The common name of the certificate.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Application Package Certificate</para>\r\n<para type=\"description\"></para>"},"CertificateStatus":{"enum":[["0 = Valid","1 = Expiring","2 = Expired","3 = InProgress","4 = Revoked","5 = Issuing","6 = IssuingFailed","7 = Renewing","8 = RenewingFailed","9 = Revoking","10 = RevokingFailed"]],"type":"string","description":"<para type=\"description\">Certificate Status</para>\r\n<para type=\"synopsis\">Certificate Status</para>","format":"int32"},"CertificateKeySize":{"enum":[["0 = KeySize1024","1 = KeySize2048","2 = KeySize4096","3 = KeySize3072","4 = KeySize521","255 = KeySizeUnknown"]],"type":"string","description":"<para type=\"description\">Certificate Key Size</para>\r\n<para type=\"synopsis\">Certificate Key Size</para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get

> Retrieve an application package by ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AppPackage/{id}":{"get":{"tags":["0-Infrastructure//Application Packages"],"summary":"Get","description":"Retrieve an application package by ID.","operationId":"32e28ff5-282b-4184-879d-c4ee2d9fa35d","parameters":[{"name":"id","in":"path","description":"Application package ID.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AppPackage"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AppPackage":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"packageName":{"type":"string","description":"<para type=\"description\">Package name</para>","nullable":true},"displayName":{"type":"string","description":"<para type=\"description\">Application package display name</para>","nullable":true},"version":{"type":"string","description":"<para type=\"description\">Application package version</para>","nullable":true},"publisher":{"type":"string","description":"<para type=\"description\">Application package publisher name</para>","nullable":true},"msixImagePath":{"type":"string","description":"<para type=\"description\">MSIX image path</para>","nullable":true},"packagedApps":{"type":"array","items":{"$ref":"#/components/schemas/PackagedApp"},"description":"<para type=\"description\">List of applications in the application package</para>","nullable":true},"dependencies":{"type":"string","description":"<para type=\"description\">Application pacakge dependencies</para>","nullable":true},"certificate":{"$ref":"#/components/schemas/AppPackageCertificate"},"siteId":{"type":"integer","description":"<para type=\"description\">ID of the Site</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the application package is enabled or not</para>"},"tagIds":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">Application tag IDs</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Application Package</para>\r\n<para type=\"description\"></para>"},"PackagedApp":{"type":"object","properties":{"name":{"type":"string","description":"<para type=\"description\">Application name in the application package</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">App Packages Application Info</para>\r\n<para type=\"description\"></para>"},"AppPackageCertificate":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/CertificateStatus"},"publicKey":{"type":"string","description":"<para type=\"description\">The public key.</para>","nullable":true},"expirationDate":{"type":"string","description":"<para type=\"description\">The expiration date of the certificate.</para>","format":"date-time","nullable":true},"keySize":{"$ref":"#/components/schemas/CertificateKeySize"},"commonName":{"type":"string","description":"<para type=\"description\">The common name of the certificate.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Application Package Certificate</para>\r\n<para type=\"description\"></para>"},"CertificateStatus":{"enum":[["0 = Valid","1 = Expiring","2 = Expired","3 = InProgress","4 = Revoked","5 = Issuing","6 = IssuingFailed","7 = Renewing","8 = RenewingFailed","9 = Revoking","10 = RevokingFailed"]],"type":"string","description":"<para type=\"description\">Certificate Status</para>\r\n<para type=\"synopsis\">Certificate Status</para>","format":"int32"},"CertificateKeySize":{"enum":[["0 = KeySize1024","1 = KeySize2048","2 = KeySize4096","3 = KeySize3072","4 = KeySize521","255 = KeySizeUnknown"]],"type":"string","description":"<para type=\"description\">Certificate Key Size</para>\r\n<para type=\"synopsis\">Certificate Key Size</para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

{% openapi src="/files/oEgjY6sMA31ZVBC35aoj" path="/api/AppPackage/{id}" method="put" %}
[swagger 1.json](https://content.gitbook.com/content/jyGAUPrA6XIdGAfHCnJE/blobs/7mKwtvutT7xlWtmCVnxB/swagger%201.json)
{% endopenapi %}

{% openapi src="/files/oEgjY6sMA31ZVBC35aoj" path="/api/AppPackage/{id}" method="delete" %}
[swagger 1.json](https://content.gitbook.com/content/jyGAUPrA6XIdGAfHCnJE/blobs/7mKwtvutT7xlWtmCVnxB/swagger%201.json)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/v21/api-reference/infrastructure/application-packages.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
